Mailinglist Archive: opensuse (2700 mails)

< Previous Next >
Puzzling gtk2 issue
  • From: Trey Sizemore <trey@xxxxxxxxxxx>
  • Date: Fri, 01 Jul 2005 11:25:15 -0400
  • Message-id: <1120231515.493.13.camel@xxxxxxxxxxxxxxxxxxxxxxxxxxx>
I've been compiling sylpheed-claws from CVS for several weeks on my SUSE
9.3 box with no issues. For the past week, it has failed to compile and
gives the following error:

<snip>
checking for library containing encrypt... -lcrypt
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GTK+ - version >= 2.4.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log
for the
*** exact error that occured. This usually means GTK+ is incorrectly
installed.
configure: error: Test for GTK failed. See the file 'INSTALL' for help.

I've done some upgrades via apt over the past month, so something may
have happened there, but I've not been able to trace the cause of the
issue. I'm hoping someone might be able to point me in the right
direction as far as what to check.


salamander:/home/trey # pkg-config gtk+-2.0 --cflags
-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/opt/gnome/include/gtk-2.0
-I/opt/gnome/lib/gtk-2.0/include -I/usr/X11R6/include
-I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/freetype2/config
-I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include

Thanks.


--
Cheers,
Trey
---

The beauty of the soul shines out when a man bears with
composure one heavy mischance after another, not because he
does not feel them, but because he is a man of high and heroic temper.
- Aristotle

11:21am up 3 days 3:20, 3 users, load average: 0.20, 0.26, 0.23
Linux salamander 2.6.11.4-21.7-default #1 Thu Jun 2 14:23:14 UTC 2005
i686 i686 i386 GNU/Linux


< Previous Next >
Follow Ups